Package Gnumed :: Package wxpython :: Module gmSoapSTCWidgets :: Class cWxTextCtrlCompatibility_StcMixin |
[frames] | no frames]

# Class cWxTextCtrlCompatibility_StcMixin

source code

Instance Methods
__init__(self, *args, **kwargs) | source code
GetValue(self) | source code
SetValue(self, value) | source code
WriteText(self, value) | source code
GetLastPosition(self) | source code
GetNumberOfLines(self) | source code
GetLineText(self, line_no) | source code
GetInsertionPoint(self) | source code
SetInsertionPoint(self, position) | source code
ShowPosition(self, position) | source code
IsMultiLine(self) | source code
PositionToXY(self, position) | source code
Replace(self, start, end, replacement) | source code

Class Variables
| LastPosition = `property(GetLastPosition, lambda x: x)`
| InsertionPoint = `property(GetInsertionPoint, SetInsertionPoint)`